PSTREE(1)

IME
pstree - prikaže stablo procesa

UPORABA
pstree [-a, --arguments] [-c, --compact-not] [-C, --color attr] [-g, --show-pgids] [-h, --highlight-all, -H pid, --highlight-pid pid] [-l, --long] [-n, --numeric-sort] [-N, --ns-sort ns] [-p, --show-pids] [-s, --show-parents] [-S, --ns-changes] [-t, --thread-names] [-T, --hide-threads] [-u, --uid-changes] [-Z, --security-context] [-A, --ascii, -G, --vt100, -U, --unicode] [pid, user]
pstree -V, --version

OPIS
pstree prikaže pokrenute procese kao stablo. Stablo je ukorijenjeno na pid ili init ako je pid izostavljen. Ako je navedeno korisničko ime, prikaže sva stabla procesa ukorijenjena u procesima u vlasništvu tog korisnika.

pstree vizualno spaja identične grane stavljajući ih u uglate zagrade i dodajući im prefiks s brojem ponavljanja, na pr.

    init-+-getty
         |-getty
         |-getty
         `-getty

postaje

    init---4*[getty]

Dretve potomka procesa nalaze se ispod roditeljskog procesa i prikazuju se s imenom procesa u vitičastim zagradama, na pr.

    icecast2---13*[{icecast2}]

Ako je pstree pozvan kao pstree.x11, tada će na kraju retka zatražiti od korisnika da pritisne Enter i neće se vratiti dok se to ne napravi. Ovo je korisno kada se pstree izvšava u xterminalu.

Određeni parametri kernela ili montiranja, poput opcije hidepid za procfs, sakrit će informacije za neke procese. U tim će situacijama pstree pokušati izgraditi stablo bez ovih informacija, pokazujući imena procesa kao upitnike.

OPCIJE

-a  Pokaže argumente naredbenog retka. Ako se naredbeni redak procesa isprazni, taj je proces prikazan u zagradama. -a implicitno onemogućuje sažimanje za procese, ali ne i dretvi.

-A  Koristi ASCII znakove za crtanje stabla.

-c  Onemogući sažimanje identičnih podstabala. Zadano, podstabla se sažimaju kad god je to moguće.

-C  Oboji ime postupka prema zadanom atributu. Trenutno pstree prihvaća samo age koji oboji ovisno o dobi procesa. Procesi noviji od 60 sekundi su zeleni, noviji od jednog sata su žuti, a preostali su crveni.

-g  Prikaže PGID-ove. ID-ovi grupa procesa pokazani su u decimalnim brojevima u zagradama nakon imena svakog procesa. Ako su pokazani i PID-ovi i PGID-ovi, onda se prvo pokazuju PID-ovi.

-G  Koristi znakove za crtanje po VT100.

-h  Istakne trenutni proces i njegove pretke. Ovo nije dopušteno ako terminal ne podržava isticanje ili ako se u podstablu ne pokazuje niti trenutni postupak niti bilo koji od njegovih predaka.

-H  Poput -h, ali umjesto toga istakne navedeni postupak. Za razliku od -h, pstree ne uspijeva kada se koristi -H ako nije isticanje dostupno.

-l  Prikaže duge redove. Zadano, redci su skraćeni ili na varijablu okoline COLUMNS ili na širinu zaslona. Ako niti jedna od ovih metoda ne radi, koristi se zadano, 132 stupca.

-n  Razvrsta procese s istim roditeljem po PID-u umjesto po imenu. (Numeričko sortiranje.)

-N  Prikaže pojedinačna stabla za svaki imenski prostor specificiranog tipa. Dostupn su ove vrste: ipc, mnt, net, pid, time, user, uts. Obični korisnici nemaju pristup informacijama o procesima drugih korisnika, pa će izlaz biti ograničen.

-p  Pokaže PID-ove. PID-ovi su prikazani kao decimalni brojevi u zagradama nakon imena svakog procesa. -p implicitno onemogućuje sažimanje.

-s  Prikaže roditeljske procese navedenog procesa.

-S  Prikaže prijelaze imenskih prostora. Poput -N, ali izlaz je ograničen kad se to izvršava obični korisnik.

-t  Ako su dostupna, pokaže puna imena dretvi.

-T  Sakrije dretve i pokaže samo procese.

-u  Prikaže UID prijelaze. Kad god se UID procesa razlikuje od UID-a njegovog roditelja, novi se UID prikaže u zagradama nakon imena procesa.

-U  Koristi UTF-8 (Unicode) znakove za linije za crtanje. Pod Linuxom 1.1-54 i novijim, UTF-8 način rada se unosi na konzolu s echo -e ' 33%8', a napušta se s echo -e ' 33%@'.

-V  Pokaže informacije o inačici.

-Z  Pokaže trenutne sigurnosne atribute procesa. Za SELinux sustave to će biti sigurnosni kontekst.

FILES

/proc
    lokacija proc datotečnog sustava

BUGS
Neki skupovi znakova mogu biti nekompatibilni s VT100 znakovima.

POGLEDAJTE TAKOĐER
ps(1), top(1), proc(5).